## com.imcode.imcms.util.l10n
Class LocalizedMessageProvider

    java.lang.Object
      com.imcode.imcms.util.l10n.LocalizedMessageProvider

Direct Known Subclasses:
  CachingLocalizedMessageProvider, ImcmsPrefsLocalizedMessageProvider

    public abstract class LocalizedMessageProvider

extends java.lang.Object

Constructor Summary
`LocalizedMessageProvider()`

Method Summary
`LocalizedMessage` `get(java.lang.String key)`
`abstract java.util.ResourceBundle` `getResourceBundle(java.lang.String languageIso639_2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedMessageProvider

    public LocalizedMessageProvider()

Method Detail

### get

    public LocalizedMessage get(java.lang.String key)

### getResourceBundle

    public abstract java.util.ResourceBundle getResourceBundle(java.lang.String languageIso639_2)